Cairo::availableFonts
Cairo::statusToString
Cairo
PHP Manual

# Cairo::availableSurfaces

# cairo_available_surfaces

(PECL cairo >= 0.1.0)

Cairo::availableSurfaces -- cairo_available_surfaces — Retrieves all available surfaces

### Description

Object oriented style (method):

public static array Cairo::availableSurfaces ( void )

Procedural style:

array cairo_available_surfaces ( void )

Returns an array with the available surface backends

### Parameters

This function has no parameters.

### Return Values

A list-type array with all available surface backends.

### Examples

Example #1 Object oriented style

`<?php
/* Object Oriented style */
var_dump(Cairo::availableSurfaces());
?>`

The above example will output something similar to:

    array(6) {
      [0]=>
      string(5) "IMAGE"
      [1]=>
      string(3) "PNG"
      [2]=>
      string(3) "PDF"
      [3]=>
      string(2) "PS"
      [4]=>
      string(3) "SVG"
      [5]=>
      string(5) "WIN32"
    }

Example #2 Procedural style

`<?php
/* Procedural style */
var_dump(cairo_available_surfaces());
?>`

The above example will output something similar to:

    array(6) {
      [0]=>
      string(5) "IMAGE"
      [1]=>
      string(3) "PNG"
      [2]=>
      string(3) "PDF"
      [3]=>
      string(2) "PS"
      [4]=>
      string(3) "SVG"
      [5]=>
      string(5) "WIN32"
    }

### See Also

- Cairo::availableFonts - Retrieves the availables font types

Cairo::availableFonts
Cairo::statusToString
Cairo
PHP Manual